## org.apache.mahout.ga.watchmaker.cd.hadoop
Class DatasetSplit.DatasetTextInputFormat

    java.lang.Object
      org.apache.hadoop.mapreduce.InputFormat<K,V>
          org.apache.hadoop.mapreduce.lib.input.FileInputFormat<org.apache.hadoop.io.LongWritable,org.apache.hadoop.io.Text>
              org.apache.hadoop.mapreduce.lib.input.TextInputFormat
                  org.apache.mahout.ga.watchmaker.cd.hadoop.DatasetSplit.DatasetTextInputFormat

Enclosing class:
  DatasetSplit

    public static class DatasetSplit.DatasetTextInputFormat

extends org.apache.hadoop.mapreduce.lib.input.TextInputFormat

`TextInputFormat` that uses a `DatasetSplit.RndLineRecordReader` as a RecordReader

Constructor Summary
`DatasetSplit.DatasetTextInputFormat()`

Method Summary
`org.apache.hadoop.mapreduce.RecordReader<org.apache.hadoop.io.LongWritable,org.apache.hadoop.io.Text>` `createRecordReader(org.apache.hadoop.mapreduce.InputSplit split, org.apache.hadoop.mapreduce.TaskAttemptContext context)`

Methods inherited from class org.apache.hadoop.mapreduce.lib.input.TextInputFormat
`isSplitable`

Methods inherited from class org.apache.hadoop.mapreduce.lib.input.FileInputFormat
`addInputPath, addInputPaths, computeSplitSize, getBlockIndex, getFormatMinSplitSize, getInputPathFilter, getInputPaths, getMaxSplitSize, getMinSplitSize, getSplits, listStatus, setInputPathFilter, setInputPaths, setInputPaths, setMaxInputSplitSize, setMinInputSplitSize`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DatasetSplit.DatasetTextInputFormat

    public DatasetSplit.DatasetTextInputFormat()

Method Detail

### createRecordReader

    public org.apache.hadoop.mapreduce.RecordReader<org.apache.hadoop.io.LongWritable,org.apache.hadoop.io.Text> createRecordReader(org.apache.hadoop.mapreduce.InputSplit split,
                                                                                                                                    org.apache.hadoop.mapreduce.TaskAttemptContext context)

  Overrides:
    `createRecordReader` in class `org.apache.hadoop.mapreduce.lib.input.TextInputFormat`

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.